/* Copyright  2013 Vermilion Software ltd.  This software is the confidential and proprietary information of Vermilion Software ltd. (Confidential Information). You are not 
 * permitted to use, copy, disclose or broadcast such Confidential Information, save that Vermilion Software Ltd has permitted certain parties to use it on the terms of certain licence 
 * agreements.  If you are not party to such an agreement, you are requested to report the matter to Vermilion Software Ltd on +44 (0)845 241 9966.  Failure to do so may result in a criminal 
 * offence and legal liability to compensate Vermilion Software ltd.  Vermilion Software ltd will rigorously enforce all its rights in relation to the Confidential Information.
 */
package com.vermilion.vrs.dgs.customprocessors;

import com.vermilionsoftware.vrs.common.exception.VermilionFatalException;
import com.vermilionsoftware.vrs.common.exception.VermilionNonFatalException;

/**
 * @author Jill.Heaney
 *
 * DO NOT UPDATE THIS CLASS IN COMMON
 *
 * This is the DragThroughProcessor (DTP) client specific instructions.
 * This provides the help and methods for any instructions that are specific to this client.
 * This class should only contain instructions when it is in a client project.
 * 
 * Commented out commands are here for example usage only. 
 * 
 */

public class DragThroughProcessor extends DragThroughProcessorInstructions {
    
    protected void getHelpText() {
    	super.getHelpText();
    	
    	// instruction, work on output DS, default value, help text
		//allParams.put("outerJoinDS", 					new String[] {"N","",		"code,code,... (the DST that will be used in the outer join statement - all records from this DST code1 will be in the resulting DST - plus any key matches from the other DST code2,3,..."});
    }

	// -----------------------------------------------------------------------------------------------------------------------------------------------------------------
    protected boolean runInstructions(String key) throws VermilionNonFatalException, VermilionFatalException {
    	boolean foundInstr = super.runInstructions(key);

    	if(foundInstr) {
    		return true;
    	}

//    	if ( key.equalsIgnoreCase("outerJoinDS") ) {
//    		processOuterJoinDS();
//        } else {
//    		outputRecordSet.addWarningMessage(new WarningMessage(0, "Rendering",  WarningMessage.DONT_OUTPUT, "Unknown command " + key + ". Skipping"));
//            instructions.remove(0);
//		}
    	
    	return false;
    }
    
	// -----------------------------------------------------------------------------------------------------------------------------------------------------------------
//	private void processOuterJoinDS() throws VermilionNonFatalException {	}
	
    
	// -----------------------------------------------------------------------------------------------------------------------------------------------------------------
    public String getRevision() {
    	return "$Author: Jill.Heaney $, $LastChangedRevision: 968 $, $LastChangedDate: 2013-11-20 06:29:26 -0500 (Wed, 20 Nov 2013) $"; 
    }
}